Fique atento ao End Of Life do PHP 7.2 e 7.3

Versões mais recentes do PHP estão expirando em novembro e dezembro. Veja como descobrir a sua versão.

Fique atento ao End Of Life do PHP 7.2 e 7.3

A grande e enorme maioria dos Hostings, bem como agências que utilizam Servidores Dedicados se esquecem do final de vida de suas aplicações, principalmente o PHP e MySQL, dentre outras.

No caso do PHP, é bastante comum o uso ainda de versões 5.X, já definhadas desde 2018.  Ocorre que isso existe devido à pressão tecnológica pelas aplicações de legado.  Ou seja, aplicações que necessitam de versões antigas do PHP para funcionarem;  Como na maioria das vezes estas aplicações não são atualizadas, a versão do PHP é mantida para retrocompatibilidade das mesmas.

A consequência disso é a utilização de versões obsoletas de PHP, compiladores e configurações.  Uma lista enorme de bugs e falhas exploradas pode ser encontrada na internet.  Algumas até em formato de cursos de segurança de PHP.

Fato é que é sempre bom lembrar aos Hostings que as versões anteriores a 7.2 já não são mais suportadas, ou seja, atingiram o seu EOL e não há mais correções sendo disponibilizadas.

A versão 7.2 expirou o seu suporte em novembro de 2019, sendo mantidas as correções de segurança até 30 de novembro de 2020.  Coincidentemente esta data será também o fim do EOL da versão 6 do CentOS.

A versão 7.3 terá o seu suporte finalizado em 6 de dezembro de 2020 e suas correções de segurança até 6 de dezembro de 2021.

Já a versão 7.4 vai caminhar de forma segura até 28 de novembro de 2022.

Se você não sabe qual a versão do PHP que está usando em seu Site, salve o conteúdo simples abaixo em um arquivo texto, com extensão .php, faça upload dele para seu diretório Web e abra a aplicação direto com o endereço do browser, como por exemplo: www.seusite.com.br/versaophp.php.

Fique seguro!

 

<?php

phpinfo(); 

?>